Subject: Re: [Spud] New Version Notification for draft-herbert-transports-over-udp-00.txt

From: Mirja Kühlewind <[email-masked]>
Date: Mon, 20 Jun 2016 13:31:56 +0200

Hi Michael,

I know I’m late but I’d like to comment briefly on the points below.
 
> Am 22.05.2016 um 19:30 schrieb Scharf, Michael (Nokia - DE) <[email-masked]>:
> 
> ·         Even if this is not the case, the current excessive use of the term “encryption” in the PLUS/SPUD charter IMHO has to be reviewed, since at least two potential candidate protocols actually seems to use information in clear text. Example: “The primary goal of PLUS is to enable the deployment of arbitrary, fully encrypted transport protocols”. Well, at least I learn now that not everything is “fully” encrypted…

I think here are two points to mention:

1) We were writing the charter with the understanding that PLUS itself is not a transport protocol, but whatever is above PLUS is. So, of course there will be information in PLUS header that will be in clear (but hopefully integrity protected to detect mangling), because this new (shim)layer is meant for communication with elements on the path.

2) Further I guess the word ‚fully‘ is here to emphasis that also the header of the transport should be encrypted. Maybe that needs further clarified. 

> ·         Finally, from the current charter I don’t understand whether PLUS/SPUD would consider the requirements of middleboxes designed to provide user anonymity (e.g., TOR-like). I’d personally be fine with flagging their specific requirements as out-of-scope. But for sure there is a user community of that sort of infrastructure and it may make sense to discuss early how to deal with that.

We don’t have considered that use case yet. But we also decided to not list specific use cases in the charter. So from my point of view it would be in scope if someone brings it up.

Mirja